Subject: Re: bug#42296: 27.0.91; Correct manual entry for 'concat' w.r.t. allocation [PATCH]

From: Mattias Engdegård <[email-masked]>
Date: Thu, 9 Jul 2020 21:17:14 +0200

9 juli 2020 kl. 20.51 skrev Eli Zaretskii <[email-masked]>:

> That's not really what I asked for.

Then I misunderstood; would you explain what you mean in a different way?
The old text incorrectly stated that the return value always is a new string; the last patch changes this to saying that the value may or may not be a new string, and that the user therefore shouldn't assume that the value be mutable. If that was not what you asked for, then what was it, and why?

> And how does mutability enter the picture?  We could say something
> about it (but then we'd have to be less terse), but that doesn't in
> any way replace the need to say that in many cases the value will be a
> new string, IMO.

Sorry, but I still don't understand. What salient quality is there other than mutability? There is identity (uniqueness), but that is included as well. No user is ever worried about that the returned value may actually be a new string; it's very much the other way around.